import Vue from 'vue'
import App from './App.vue'
import './registerServiceWorker'
import router from './router'
import store from './store'
import 'tailwindcss/tailwind.css'
import './style.less'
import utils from '@/util'
import service from './service'
import { global } from '@/const/Global'
import dsbridge from 'dsbridge'
import { Dialog, Toast, Notify } from 'vant'
import VConsole from 'vconsole'

Vue.config.productionTip = false
Vue.use(Dialog).use(Toast).use(Notify)
Vue.use(utils)
Vue.use(service)
Vue.use(utils).use(service)
Vue.prototype.$dsbridge = dsbridge
Vue.prototype.$global = global

if (['police', 'people'].indexOf(process.env.VUE_APP_ENV as string) < 0) {
  new VConsole()
}

new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
